Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam
Class CyclicDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.jboss.seam.CyclicDependencyException

All Implemented Interfaces:
  Serializable

    public class CyclicDependencyException

extends IllegalStateException

An exception that is thrown when `BijectionInterceptor` detects that a component's dependencies cannot be injected due to a cyclic dependency. As the exception is passed up the stack, the call sequence is recorded so that a useful exception message can be constructed.

Author:
  Matt Drees
See Also:
  Serialized Form

Constructor Summary
`CyclicDependencyException()`

Method Summary
`void` | `addInvocation(String componentName, Method method)` Records this invocation's component name and method to be displayed in `getMessage()`, unless this invocation is not part of the detected cycle.
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CyclicDependencyException

    public CyclicDependencyException()

Method Detail

### addInvocation

    public void addInvocation(String componentName,
                              Method method)

  Records this invocation's component name and method to be displayed in `getMessage()`, unless this invocation is not part of the detected cycle. This method will be successively called as the exception is propagated up the stack.

  Parameters:
    `componentName` -
    `method` -

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.